Developing for Splunk Enterprise

Compatibility of splunk enterprise 8.1 with python 3.6

swetar
New Member

I wanted to upgrade Splunk Enterprise 7.2 to Splunk Enterprise 8.1 on Redhat linux 7.7. As per the splunk upgrade docs, I found that splunk web is compatible only with Python 3.7. Here is the link
https://docs.splunk.com/Documentation/Splunk/8.0.2/Installation/PlanPython3
I already have python 3.6 on RHEL 7.7 .
My question is python 3.6 compatible with Splunk Enterprise 8.1 or do I need to upgrade python to 3.7

Thanks in advanced

Labels (2)
0 Karma
1 Solution

atammana_splunk
Splunk Employee
Splunk Employee

Hi @swetar - Splunk Enterprise ships with its own bundled Python. In this case, 8.0.x ships with Python 2.7 and Python 3.7 (not Python 3.6). Splunk Web in particular only runs with Python 3.7. The Python version you have running on RHEL will not affect how core, OOB Splunk Enterprise behaves.

View solution in original post

atammana_splunk
Splunk Employee
Splunk Employee

Hi @swetar - Splunk Enterprise ships with its own bundled Python. In this case, 8.0.x ships with Python 2.7 and Python 3.7 (not Python 3.6). Splunk Web in particular only runs with Python 3.7. The Python version you have running on RHEL will not affect how core, OOB Splunk Enterprise behaves.

View solution in original post

Did you miss .conf21 Virtual?

Good news! The event's keynotes and many of its breakout sessions are now available online, and still totally FREE!